Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 1334)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 1335)
@@ -1,164 +1,164 @@
-package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
-
-import java.awt.AlphaComposite;
-import java.awt.BasicStroke;
-import java.awt.Color;
-import java.awt.Composite;
-import java.awt.Font;
-import java.awt.GradientPaint;
-import java.awt.Graphics2D;
-import java.awt.Paint;
-import java.awt.Stroke;
-import java.awt.geom.Line2D;
-import java.awt.geom.Point2D;
-import java.awt.geom.Rectangle2D;
-import java.text.DecimalFormat;
-
-import org.jfree.chart.axis.CategoryAxis;
-import org.jfree.chart.axis.ValueAxis;
-import org.jfree.chart.labels.CategoryToolTipGenerator;
-import org.jfree.chart.plot.CategoryMarker;
-import org.jfree.chart.plot.CategoryPlot;
-import org.jfree.chart.plot.IntervalMarker;
-import org.jfree.chart.plot.Marker;
-import org.jfree.chart.plot.PlotOrientation;
-import org.jfree.chart.plot.ValueMarker;
-import org.jfree.chart.renderer.category.CategoryStepRenderer;
-import org.jfree.data.Range;
-import org.jfree.data.category.CategoryDataset;
-import org.jfree.data.category.DefaultCategoryDataset;
-import org.jfree.text.TextUtilities;
-import org.jfree.ui.GradientPaintTransformer;
-import org.jfree.ui.LengthAdjustmentType;
-import org.jfree.ui.RectangleAnchor;
-import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
-import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-
-public class ItemSelectionCategoryStepRenderer extends CategoryStepRenderer implements IRendererWithItemSelection {
-
-
-
-	/**
-	 * Chart item selector.
-	 */
-	protected MouseOverItemSelector mouseOverItemSelector;
-
-
-
-	/**
-	 * Values number format.
-	 */
-	protected DecimalFormat valuesNumberFormat;
-
-
-	/**
-	 *
-	 */
-	public ItemSelectionCategoryStepRenderer() {
-
-		this.mouseOverItemSelector = new MouseOverItemSelector(this);
-
-		// Default Values format
-		String pattern = new String("#0.####");
-		this.valuesNumberFormat = new DecimalFormat(pattern);
-
-		// Labels
-		this.initItemLabelGenerator();
-		// Tooltips
-		this.initToolTipGenerator(this);
-	}
-
-
-	/**
-	 * Initializes the item label generator.
-	 */
-	public void initItemLabelGenerator()	{
-		// TODO
-	}
-
-	/**
-	 * Initializes the tool tip generator.
-	 */
-	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(CategoryDataset dataset, int row, int column) {
-
-				// Hexadecimal color
-				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
-
-				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
-				Number value = catDataset.getValue(row, column);
-
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.charts_labelValueSeparator
-						+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
-			}
-		});
-	}
-
-
-	@Override
-	public Paint getItemOutlinePaint(int series, int item) {
-		// Trace the shape outline
-		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
-			return super.getItemOutlinePaint(series, item);
-		}
-		// Do not trace not selected item outline
-		return null;
-	}
-
-
-	@Override
-	public Stroke getSeriesStroke(int series)	{
-		BasicStroke stroke = (BasicStroke) super.getSeriesStroke(series);
-
-		// Change line width of selected series
-		if(this.mouseOverItemSelector.isMouseOverSeries(series)) {
-			stroke = new BasicStroke(stroke.getLineWidth() * 1.8f);
-		}
-		return stroke;
-	}
-
-
-	@Override
-	public Font getItemLabelFont(int series, int item) {
-
-		Font font = super.getItemLabelFont(series, item);
-
-		// Change item label font size and style
-		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
-			font = font.deriveFont(Font.BOLD, font.getSize() * 1.5f);
-		}
-		return font;
-	}
-
-
-	/**
-	 * @return the itemSelector
-	 */
-	public MouseOverItemSelector getItemsSelector() {
-		return mouseOverItemSelector;
-	}
-
-
-
-	@Override
-	public void updateDatasetForDrawingSelectedItemAsLast() {
-		// FIXME : to remove when validated
-		//this.itemSelector.setItemDrawnAtLast(this);
-	}
-
-
-	@Override
-	public void init() {
-		// TODO Auto-generated method stub
-		
-	}
-
-
-
-}
+package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
+
+import java.awt.AlphaComposite;
+import java.awt.BasicStroke;
+import java.awt.Color;
+import java.awt.Composite;
+import java.awt.Font;
+import java.awt.GradientPaint;
+import java.awt.Graphics2D;
+import java.awt.Paint;
+import java.awt.Stroke;
+import java.awt.geom.Line2D;
+import java.awt.geom.Point2D;
+import java.awt.geom.Rectangle2D;
+import java.text.DecimalFormat;
+
+import org.jfree.chart.axis.CategoryAxis;
+import org.jfree.chart.axis.ValueAxis;
+import org.jfree.chart.labels.CategoryToolTipGenerator;
+import org.jfree.chart.plot.CategoryMarker;
+import org.jfree.chart.plot.CategoryPlot;
+import org.jfree.chart.plot.IntervalMarker;
+import org.jfree.chart.plot.Marker;
+import org.jfree.chart.plot.PlotOrientation;
+import org.jfree.chart.plot.ValueMarker;
+import org.jfree.chart.renderer.category.CategoryStepRenderer;
+import org.jfree.data.Range;
+import org.jfree.data.category.CategoryDataset;
+import org.jfree.data.category.DefaultCategoryDataset;
+import org.jfree.text.TextUtilities;
+import org.jfree.ui.GradientPaintTransformer;
+import org.jfree.ui.LengthAdjustmentType;
+import org.jfree.ui.RectangleAnchor;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
+
+public class ItemSelectionCategoryStepRenderer extends CategoryStepRenderer implements IRendererWithItemSelection {
+
+
+
+	/**
+	 * Chart item selector.
+	 */
+	protected MouseOverItemSelector mouseOverItemSelector;
+
+
+
+	/**
+	 * Values number format.
+	 */
+	protected DecimalFormat valuesNumberFormat;
+
+
+	/**
+	 *
+	 */
+	public ItemSelectionCategoryStepRenderer() {
+
+		this.mouseOverItemSelector = new MouseOverItemSelector(this);
+
+		// Default Values format
+		String pattern = new String("#0.####");
+		this.valuesNumberFormat = new DecimalFormat(pattern);
+
+		// Labels
+		this.initItemLabelGenerator();
+		// Tooltips
+		this.initToolTipGenerator(this);
+	}
+
+
+	/**
+	 * Initializes the item label generator.
+	 */
+	public void initItemLabelGenerator()	{
+		// TODO
+	}
+
+	/**
+	 * Initializes the tool tip generator.
+	 */
+	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
+		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(CategoryDataset dataset, int row, int column) {
+
+				// Hexadecimal color
+				Color color = (Color) getSeriesPaint(row);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+
+				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
+				Number value = catDataset.getValue(row, column);
+
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.EMPTY
+						+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
+			}
+		});
+	}
+
+
+	@Override
+	public Paint getItemOutlinePaint(int series, int item) {
+		// Trace the shape outline
+		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
+			return super.getItemOutlinePaint(series, item);
+		}
+		// Do not trace not selected item outline
+		return null;
+	}
+
+
+	@Override
+	public Stroke getSeriesStroke(int series)	{
+		BasicStroke stroke = (BasicStroke) super.getSeriesStroke(series);
+
+		// Change line width of selected series
+		if(this.mouseOverItemSelector.isMouseOverSeries(series)) {
+			stroke = new BasicStroke(stroke.getLineWidth() * 1.8f);
+		}
+		return stroke;
+	}
+
+
+	@Override
+	public Font getItemLabelFont(int series, int item) {
+
+		Font font = super.getItemLabelFont(series, item);
+
+		// Change item label font size and style
+		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
+			font = font.deriveFont(Font.BOLD, font.getSize() * 1.5f);
+		}
+		return font;
+	}
+
+
+	/**
+	 * @return the itemSelector
+	 */
+	public MouseOverItemSelector getItemsSelector() {
+		return mouseOverItemSelector;
+	}
+
+
+
+	@Override
+	public void updateDatasetForDrawingSelectedItemAsLast() {
+		// FIXME : to remove when validated
+		//this.itemSelector.setItemDrawnAtLast(this);
+	}
+
+
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
+
+}
\ No newline at end of file
